Mission builder location orbit node plane wrong
Description

In the mission builder if you create, under location, an orbit node (i.e. a target orbit objective that needs to be reached) it is created in
the wrong orbital plane. If you spawn a kerbal or vessel in a particular inclined orbit say 45 degrees with 0 longitude of ascending
node and then create an identical target orbit, it will appear visually in the mission builder in the same orbit but once in game the
orbital plane will be different. It appears the longitude of the ascending node is out by roughly 150 degrees once in game. Therefore if
you created a mission to rendezvous with a space station in an inclined orbit and one of the objectives along the way was to reach
the same orbit as the space station, this target orbit would be wrong even though its identical in the mission builder.

History

#1 - 03/16/2018 05:58 PM - diomedea

This issue isn't showing on my side: orbits defined with the same INC and LAN parameters are co-planar, both in mission builder and in game.
Can you provide reproduction steps that certainly bring to the issue as described? Or add a mission that shows it? Also some screenshots would
help.

#2 - 03/16/2018 06:15 PM - Squelch

- Status changed from New to Need More Info

Does this happen with particular Celestial Body targets?
Are you changing the start node time?

A sample mission would be most helpful.

#4 - 03/27/2018 02:29 PM - Squelch
- Status changed from Need More Info to Being Worked On
- % Done changed from 0 to 30

#5 - 03/29/2018 10:04 AM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.2

- % Done changed from 30 to 80

#6 - 04/26/2018 10:42 PM - Squelch

- Target version changed from 1.4.2 to 1.4.3

Some aspects that may have caused this have been addressed.

#7 - 07/24/2019 11:57 PM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#8 - 07/24/2019 11:57 PM - chris.fulton

- Status changed from Resolved to Closed
